#pragma once
#include "afxwin.h"


// CDialogAlmSet 对话框

class CDialogAlmSet : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogAlmSet)

public:
	CDialogAlmSet(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogAlmSet();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual BOOL OnInitDialog();
// 对话框数据
	enum { IDD = IDD_DIALOG_ALM_SET };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnBnClickedOk();
	CEdit m_CEditHRH;
	CEdit m_CEditHRL;
	CEdit m_CEditSTH;
	CEdit m_CEditSTL;
	CEdit m_CEditPVCsH;
	CEdit m_CEditSBPH;
	CEdit m_CEditSBPL;
	CEdit m_CEditDBPH;
	CEdit m_CEditDBPL;
	CEdit m_CEditRRH;
	CEdit m_CEditRRL;
	CEdit m_CEditSpo2L;
	CEdit m_CEditSpo2H;
	CEdit m_CEditPRH;
	CEdit m_CEditPRL;
	CEdit m_CEditTempH;
	CEdit m_CEditTempL;
	CEdit m_CEditAirOxyH;
	CEdit m_CEditAirOxyL;
	CComboBox m_CComboBoxHRAlmSw;
	CComboBox m_CComboBoxSTAlmSw;
	CComboBox m_CComboBoxBPAlmSw;
	CComboBox m_CComboBoxRespAlmSw;
	CComboBox m_CComboBoxSpo2AlmSw;
	CComboBox m_CComboBoxTempAlmSw;
	CComboBox m_CComboBoxAirOxyAlmSw;
	CComboBox m_CComboBoxHRAlmLevel;
	CComboBox m_CComboBoxSTAlmLevel;
	CComboBox m_CComboBoxBPAlmLevel;
	CComboBox m_CComboBoxRespAlmLevel;
	CComboBox m_CComboBoxSpo2AlmLevel;
	CComboBox m_CComboBoxTempAlmLevel;
	CComboBox m_CComboBoxAirOxyAlmLevel;

	afx_msg void OnCbnSelchangeComboAlmSetEcgAlmSw();
	afx_msg void OnCbnSelchangeComboAlmSetEcgAlmLevel();
	afx_msg void OnCbnSelchangeComboAlmSetStAlmSw();
	afx_msg void OnCbnSelchangeComboAlmSetStAlmLevel();
	afx_msg void OnCbnSelchangeComboAlmSetBpAlmSw();
	afx_msg void OnCbnSelchangeComboAlmSetBpAlmLevel();
	afx_msg void OnCbnSelchangeComboRespSetAlmSw();
	afx_msg void OnCbnSelchangeComboRespSetAlmLevel();
	afx_msg void OnCbnSelchangeComboOxySetAlmSw();
	afx_msg void OnCbnSelchangeComboOxySetAlmLevel();
	afx_msg void OnCbnSelchangeComboAlmSetTempAlmSw();
	afx_msg void OnCbnSelchangeComboAlmSetTempAlmLevel();
	afx_msg void OnCbnSelchangeComboAlmSetAiroxyAlmSw();
	afx_msg void OnCbnSelchangeComboAlmSetAiroxyAlmLevel();


private:
	CString input_HRAlmH_check(CString & cs);
	CString input_HRAlmL_check(CString & cs);
	CString input_STAlmH_check(CString & cs);
	CString input_STAlmL_check(CString & cs);
	CString input_PVCsAlmH_check(CString & cs);
	CString input_SBPAlmH_check(CString & cs);
	CString input_SBPAlmL_check(CString & cs);
	CString input_DBPAlmH_check(CString & cs);
	CString input_DBPAlmL_check(CString & cs);
	CString input_RRAlmH_check(CString & cs);
	CString input_RRAlmL_check(CString & cs);
	CString input_OxyAlmH_check(CString & cs);
	CString input_OxyAlmL_check(CString & cs);
	CString input_PRAlmH_check(CString & cs);
	CString input_PRAlmL_check(CString & cs);
	CString input_TempAlmH_check(CString & cs);
	CString input_TempAlmL_check(CString & cs);
	CString input_AirOxy_AlmH_check(CString & cs);
	CString input_AirOxy_AlmL_check(CString & cs);
};
